Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002933KdenliveMLTpublic2013-01-09 14:572013-04-14 00:12
Reporterttguy 
Assigned Toj-b-m 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Platform32 bit intel and alikeOSUbuntuOS Version12.04
Product VersionRecent git 
Target VersionFixed in Version0.9.6 
Summary0002933: add reverse video to the Clip jobs menu.
DescriptionSo the clip jobs menu already calls melt to to the video stablise jobs.

And I have figured out that I can reverse a video at the command line with this command

melt -profile dv_pal_wide framebuffer:in_vid.dv?-1 -consumer avformat:reversed_vid.dv

apparently this type of command gives you a .mlt output
melt -profile square_ntsc framebuffer:input_video.mp4 reverse=1 -consumer xml:reversed_video.mlt

which you can load into the project tree and timeline. So the latter syntax would fit nicely in the the current clip jobs setup - as they also create .mlt files to load into project
So I reckon it should be pretty easy to add a reverse video clip job to the menu.
Additional InformationOften requested feature

see
http://kdenlive.org/forum/play-clip-backwards [^]
http://kdenlive.org/forum/reverse-play-video [^]
http://kdenlive.org/forum/once-again-playing-clips-backwards-reverse-negative-speed [^]
http://kdenlive.org/forum/video-reverse-function [^]
http://kdenlive.org/forum/reverse [^]
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships

-  Notes
(0009461)
ttguy (updater)
2013-04-03 11:08

latest request for reverse feature http://www.kdenlive.org/forum/again-reverse-clip-and-speed-effect [^]
(0009464)
j-b-m (administrator)
2013-04-04 15:31

Added to git now. Some clips will only produce white image and error on reverse, this will be fixed in MLT soon.
(0009466)
dode (reporter)
2013-04-04 15:38

Great! Deleted my "vote" note again...
(0009480)
ttguy (updater)
2013-04-13 00:38

tested this with Dan Denedy's daily builds - kdenlive-ubuntu11.10-x86-20130411.tar.bz2
And it works well. Thanks.
(0009482)
j-b-m (administrator)
2013-04-14 00:12

Requires MLT > 0.8.8

- Issue History
Date Modified Username Field Change
2013-01-09 14:57 ttguy New Issue
2013-04-03 11:08 ttguy Note Added: 0009461
2013-04-04 15:31 j-b-m Note Added: 0009464
2013-04-04 15:31 j-b-m Assigned To => j-b-m
2013-04-04 15:31 j-b-m Status new => feedback
2013-04-04 15:37 dode Note Added: 0009465
2013-04-04 15:37 dode Note Deleted: 0009465
2013-04-04 15:38 dode Note Added: 0009466
2013-04-13 00:38 ttguy Note Added: 0009480
2013-04-13 00:38 ttguy Status feedback => assigned
2013-04-14 00:12 j-b-m Note Added: 0009482
2013-04-14 00:12 j-b-m Status assigned => resolved
2013-04-14 00:12 j-b-m Fixed in Version => 0.9.6
2013-04-14 00:12 j-b-m Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker